Sympa::Spindle::ProcessTemplate(3Sympa)

NAME
Sympa::Spindle::ProcessTemplate - Workflow of template sending

SYNOPSIS
  use Sympa::Spindle::ProcessTemplate;

  my $spindle = Sympa::Spindle::ProcessTemplate->new( options... );
  $spindle->spin;

DESCRIPTION
Sympa::Spindle::ProcessTemplate defines workflow to send messages generated from template.

When spin() method is invoked, it takes an message generated from template, sends the message using another outgoing spindle and returns.

  Public methods
See also "Public methods" in Sympa::Spindle.

new ( template options, [ splicing_to => [spindles] ], [ add_list_statistics => 1 ] )
spin ( )
    new() may take following options.

    template options
        See "new" in Sympa::Message::Template.

    splicing_to => [spindles]
        A reference to array containing Sympa::Spindle subclass(es) by which the message will be sent. By default "['Sympa::Spindle::ToOutgoing']" is used.

    add_list_statistics => 1
        TBD.

  Properties
See also "Properties" in Sympa::Spindle.

{distaff}
    Instance of Sympa::Message::Template class.

{finish}
    'success' is set if processing succeeded. 'failure' is set if processing failed.

SEE ALSO
Sympa::Message::Template, Sympa::Spindle, Sympa::Spindle::ToListmaster, Sympa::Spindle::ToMailer, Sympa::Spindle::ToOutgoing.

HISTORY
Sympa::Spindle::ProcessTemplate appeared on Sympa 6.2.13.